Merge updates from master

This commit is contained in:
Repository mirror & CI 2021-08-03 09:06:22 +00:00
commit dbf0c38b6a
No known key found for this signature in database
GPG Key ID: 7C2AC09CD98F2EDF
27 changed files with 1067 additions and 0 deletions

View File

@ -4,6 +4,7 @@ DIST awscli-1.20.0.tar.gz 2028152 BLAKE2B d746335fc3414e773fbf3cb60b68ea1242162c
DIST awscli-1.20.1.tar.gz 2028927 BLAKE2B bd535f1eba64987c8389c8003b90a1361e95db00a62f13138b35d0f4b6a5130b2e52e38663f4560bf58fe6b86e668ee142a0228001d8cde583d096ce81612264 SHA512 b704ff3f482dd2ccfdf78d01ccff214c9cb9f7b12b1af0a7c615b9567a931a8bc47a444dd8f136a958346750a60fb03a084993a7deb0c234448a9889918c97e6
DIST awscli-1.20.10.tar.gz 2047053 BLAKE2B 1ad45d2703e82c2be1a2847c2312d7199ef55aa7df33568be890c6ce72e03e05cddafeb1cce5c76a5f363bd397f744f1c229fbd5ea518fc53d24f2711e628207 SHA512 9c56ccc0191b319aa7035bce72da9cf1f9e97c9600a202e706244a5eaff419f305c7d68dbcbc96bb622b219efcd56ad6691b149fbf3daf036ebf627987b306f5
DIST awscli-1.20.11.tar.gz 2047295 BLAKE2B d27c2fa2c1f665fe8f691e6d7ddd19a52b0f28e3d648f96f78e5b7f8c58f06252c99e49e739f45e8e70b126d5d3fbcf7f08fb54f837c47c2d3708152496435ec SHA512 d4ae3becbc9fdd863396504c43e4c683827706a7016e73fbd5e412cb8654ec5a3c0e10ee2c4d90455dd5427cfd73fe183d723f43030e4e35916389313dad06d8
DIST awscli-1.20.12.tar.gz 2047696 BLAKE2B d65157579f088e00b7fcb08fd73a5ab9e3ea2bcd7fe4e80734865a4185cb7f7299d9d74f6f59d8bc41e9f4aa71c0f1eda73282fc5e1804c2eb3dcee7f0fcb1a9 SHA512 1d5584586a0fa8c47aaf3ee7bff5af320138e7c25ba605fd4b4a4de498ae795ad822ba3079c68ea2ed0cc57f6fbe696f55110ff979c347b2a5e14f8bb9fca4b7
DIST awscli-1.20.2.tar.gz 2029411 BLAKE2B dad47f749af3c1e7bbeb291eb92889c7dc9bdc9e81ddb1fd3769897f94ba549123589a2ef8a34b88d8370cc6bb5ad45cc7b9fa06ec474620303a78ec3d64100e SHA512 6384a02a7bd3a8ea38cf46725daa25e7656e12c1f3f6465043efc223a82c605dbc916a26debc214ff6d364e81013e729acac424ccccc535785e8a3b68cfce2f6
DIST awscli-1.20.3.tar.gz 2029411 BLAKE2B 6d8573709072ea3955696de0c65a32610446737a216f6c5dd4ecae4cffcb48ecac531cfc598517c037066d066cf0de01510c0740949450ad3a5925af79bd8c16 SHA512 2324800964de8b1af4ae39dcee15e8fc2bd5e11a239c245590a86fac6574d80b290fb9d967df82d6fdd412cd8b783fd209780e5e58846a16302fa13c6f3b93fb
DIST awscli-1.20.4.tar.gz 2043470 BLAKE2B 58722fe4277a7950665913e8b9ae99de8017cfe8c4974a3524f917533499e830d2eea2ac0994022796b979869468b5f3a767727b4384f78e325e423ed003b1b3 SHA512 3066438ac58eb2afb83ae6fef516e09965ceea1e97897e4f5b5760046f28a2f822b16b90c0a9ee6a58c6cdabbfb2f0ce044caf41396093188290e2a7c1e8c4f3

View File

@ -0,0 +1,58 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{8..10} )
inherit bash-completion-r1 distutils-r1
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="https://pypi.org/project/awscli/"
#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/aws-cli-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
# botocore is x.(y+1).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install nose
PATCHES=(
"${FILESDIR}"/awscli-1.19.47-py39.patch
)
python_test() {
distutils_install_for_testing
# integration tests require AWS credentials and Internet access
nosetests -v tests/{functional,unit} ||
die "Tests failed for ${EPYTHON}"
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

View File

@ -2,6 +2,8 @@ DIST Python-2.7.18.tar.xz 12854736 BLAKE2B 060a621c91dd8e3d321aec99d44c17aa67381
DIST Python-2.7.18.tar.xz.asc 833 BLAKE2B 1d98770e46171971fb99994508d238c01d2755281d2f94353314014d9e83e0ec5f0b3e3950ea1fdf5fce9ba6b8f55312355845c2a3fc4291c27ee56fe6215448 SHA512 c2a5f5a52f47dec52460ad3275758d4e5de6e7075c3def4353c988d74d563a39b42cae2d5eb24e2a23a6247cef69100f91620b11a49c2359fbf99b203c9cbda8
DIST Python-3.10.0b4.tar.xz 18652712 BLAKE2B 227a6e6ce5b8ddec7b3cf39a65e0287cb541185a1b58a4f4ae9dbc83bbd5d7bdceff2992d3e7c2ec4cda7fb492123e54f8cc60b6b259bbe776e1414a8e6753f7 SHA512 deb5ce510c381ce7fcdc7056754b3afccdbc4610cb77b85115859a5e636065584f517e0931a31f77723c09229b2fd751011b1cf16967c075f629018f0a7975a4
DIST Python-3.10.0b4.tar.xz.asc 833 BLAKE2B 0aaabe7aca916bd3e80dee979cf6466b0fd0f25aa48a2955d1bfe84be8903988ccd2c5030433fdb5165b342a3acdc3ec958827028260b59bb105f41ceb5852b1 SHA512 55ef4265d9217f35e5f1da3b8b560f711c3f118230ff5fb7fe3ab5e189c22c331cecb9783465234ac0df8a1e075887b5fedfbc181cab6e571e5e2f8403d9720d
DIST Python-3.10.0rc1.tar.xz 28197832 BLAKE2B e86f26a299c33b4f0595d3b3dba17cff6e68ffcb82de61f8d8d5e425906dca3523dd06f96737006a85dba73afabc5461814f1691575e2f9679dd89e56327c9e8 SHA512 c92fab7b79a4c8125cd3e9d2ea4f03b8356ba77dc05a46b277a56c861c130e90e87c755f5e00f3d4517d50b453e34592f77e812bc1831d4bab3cc3af2110d8fd
DIST Python-3.10.0rc1.tar.xz.asc 833 BLAKE2B 6446ea32a7d62686e33476c328d71aeb67675863be10b3e02ffcef376868fc2027a3dd355ad22c046acbf4ff2d6cc20e7cf46215229b8b36e706b77ef993e920 SHA512 e3dcc240b9fecdfc2a90b7845b57ebbc34bda5c85c09c7dae6b5b34f3d355da674ffad28d83a8b281da97c407f11ac5fdc88da09c6cdac41ac93e6e70b5f813c
DIST Python-3.6.13.tar.xz 17213520 BLAKE2B 7c1938f92616d428d107a70397a9f7fc82377d0e3d26c2da4f5bcb79a54115f71498a5e7b5f601b6cff6f362ec1f689c3ac920eb248956e1e4f6c21602514dd1 SHA512 0482b3e7eea22b0635b61f06753e77c832c9431385c5ea1ecb8f60868262afd2b45c239badb8e906a33f035ffbf347b4a499fe6f0f008f1fa9ecc9de66c63947
DIST Python-3.6.13.tar.xz.asc 833 BLAKE2B bc1df46c2e460c2d237647ecff84e12c75f6ed24a432d2f9cbefdead8a77d4468e5e4ed9f4debac593c63cf95d27c9f7d0f94dce69af8746cc71f0d0b1810245 SHA512 f6e8936a5e5b45d3ad41184717f5ed75debe29f81138fd1b75b53bc7d2905edff42b42dd7995b11ba6d80233c5c3755521edb19d7ac28d414bfebb2d1dfc0c86
DIST Python-3.6.14.tar.xz 17218148 BLAKE2B efe655cb907ffa678ca135f88ba9d867e523969ad82dbc09ffb6d8d383824a4b43c525e156a3c35484a526b4b3ea755109e5ef15d17852d44e3351c307fc5e91 SHA512 15b82b7285db97cb27a6fcd57ce9e258fdf8dbdb2f00e22e4331161b8557c8244342546c4143e84c72730759e0276770396b6ca5bb7cf87310cca8e175423006
@ -20,6 +22,7 @@ DIST Python-3.9.6.tar.xz 19051972 BLAKE2B 0d8586b2935088eeab7138cf2210c1a74f1bf7
DIST Python-3.9.6.tar.xz.asc 833 BLAKE2B 41901bfb80a901f2f14e86769e6d08ded8f75656d347201345183162e180e61442da871a1067572a54da579551166a19bf5436e51581bb10cb78afc4d28773fc SHA512 0673c8833f302c829bfde97453c52744f6aa99b4a72520f4cc384d4aa9d6ffd28a1407ceafb0a1ec4462b3aa74b656bf39c67872c4e6a131429ea58c47ad0ecc
DIST python-gentoo-patches-2.7.18_p11.tar.xz 31340 BLAKE2B bdc097b971ab8ec0b60f944002af34f3fff6b681c43515a4fec2fcac1a2c731bf4fcfae2178463103911e2f8cd6bc84d3b56cd0ad61da5c8276278ec9b85a242 SHA512 2a2388c4543267bfb0167f963a22f5141442c9347d9a8806ad6917843e6958d47c8f1933244651c870101b21408c920408fe056efb7a148117c24ab391151d88
DIST python-gentoo-patches-3.10.0b4.tar.xz 8128 BLAKE2B d6357464f540db255d97e0135676b1a3188ab595b01192c0ba24917a08f24fdda64528de788a942cbff79e8eb8e0e21d509152c18a94dfb629c898ac06f1a408 SHA512 8ee4ced4631335341277b10d38c9c86a53f7098669ca6aacb9fe94d6751df0694f4238068867a951f53740ea1bb4f7fb90aae4f2e1151681b7a215d406eaefd0
DIST python-gentoo-patches-3.10.0rc1.tar.xz 8112 BLAKE2B d6f9b44c5a231f447ffe3533afbcaffe0f3b8bdd5a6690f1854bd7e1199d036d11a4cf4abfae345a88c42740ccbd4b72e53cbe28aea1a5db39dda1e5bfd47229 SHA512 bba7045f56369ca0354a539f8478a1afed77dc89a9faf548a0cf8959d644360b0afc4f84b95151ebfc2a6553078322c7445073f7a4104e9cd639ccc86ad0f792
DIST python-gentoo-patches-3.6.13_p5.tar.xz 21940 BLAKE2B f6753f2c4383fbf0de0433040dae812f35bf550c60ac4a042c62afcff158619ebdc47d013dfa62d9b3dd446e8401ad50aaaeb212fb048a884a1c436b73b7afe2 SHA512 260d6abb2c24726fcddbe3ae828e96e315f90b6d486c11868066a25635968214a8c25a89737a9737c32ca110892a28f6b12badbeceb5e4d8d4a2a996b3ce7352
DIST python-gentoo-patches-3.6.14.tar.xz 14744 BLAKE2B b9482f9d2b7ada60eff9a5672ed21556c00b473a7cfdb543dce8253fb0ff1539e635a35569478c496012ecde4eef78a257da28f7a80bff99da10249708262229 SHA512 246f83911c8e52ea83a9bf453faa0bc0ea0c29bbf3b666a938e3790c6147f71e617ff9cb27501c5f0b89172eb9e7819e3f2ef0a5bae271cc938d2c0c2b93f7ae
DIST python-gentoo-patches-3.7.10_p6.tar.xz 23868 BLAKE2B 3b3786030a461d06a96dbe0987d05c35215bb5e7b0b95e1337a05a311ad6f3c6db68cc7082128c56eea3eff4b98f74d213dde1f48517e07791815b73dcdcd5b8 SHA512 b817a9bc1469675c14555ce50bb004e8c1426465997a72a94859ab10df7c2a036b33b332c9e6b9f49df1addd899a37afd28fe60bf6ce90b4b21f4a28a27aca25

View File

@ -0,0 +1,346 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
WANT_LIBTOOL="none"
inherit autotools check-reqs flag-o-matic multiprocessing pax-utils \
python-utils-r1 toolchain-funcs verify-sig
MY_PV=${PV/_rc/rc}
MY_P="Python-${MY_PV%_p*}"
PYVER=$(ver_cut 1-2)
PATCHSET="python-gentoo-patches-${MY_PV}"
DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="https://www.python.org/"
SRC_URI="https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz
https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz
verify-sig? (
https://www.python.org/ftp/python/${PV%%_*}/${MY_P}.tar.xz.asc
)"
S="${WORKDIR}/${MY_P}"
LICENSE="PSF-2"
SLOT="${PYVER}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="bluetooth build examples gdbm hardened ipv6 +ncurses +readline +sqlite +ssl test tk wininst +xml"
RESTRICT="!test? ( test )"
# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.
RDEPEND="app-arch/bzip2:=
app-arch/xz-utils:=
dev-libs/libffi:=
sys-apps/util-linux:=
>=sys-libs/zlib-1.1.3:=
virtual/libcrypt:=
virtual/libintl
gdbm? ( sys-libs/gdbm:=[berkdb] )
ncurses? ( >=sys-libs/ncurses-5.2:= )
readline? ( >=sys-libs/readline-4.1:= )
sqlite? ( >=dev-db/sqlite-3.3.8:3= )
ssl? ( >=dev-libs/openssl-1.1.1:= )
tk? (
>=dev-lang/tcl-8.0:=
>=dev-lang/tk-8.0:=
dev-tcltk/blt:=
dev-tcltk/tix
)
xml? ( >=dev-libs/expat-2.1:= )
!!<sys-apps/sandbox-2.21"
# bluetooth requires headers from bluez
DEPEND="${RDEPEND}
bluetooth? ( net-wireless/bluez )
test? ( app-arch/xz-utils[extra-filters(+)] )"
# autoconf-archive needed to eautoreconf
BDEPEND="
sys-devel/autoconf-archive
virtual/pkgconfig
verify-sig? ( app-crypt/openpgp-keys-python )
!sys-devel/gcc[libffi(-)]"
RDEPEND+=" !build? ( app-misc/mime-types )"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/python.org.asc
# large file tests involve a 2.5G file being copied (duplicated)
CHECKREQS_DISK_BUILD=5500M
pkg_pretend() {
use test && check-reqs_pkg_pretend
}
pkg_setup() {
use test && check-reqs_pkg_setup
}
src_unpack() {
if use verify-sig; then
verify-sig_verify_detached "${DISTDIR}"/${MY_P}.tar.xz{,.asc}
fi
default
}
src_prepare() {
# Ensure that internal copies of expat, libffi and zlib are not used.
rm -fr Modules/expat || die
rm -fr Modules/_ctypes/libffi* || die
rm -fr Modules/zlib || die
local PATCHES=(
"${WORKDIR}/${PATCHSET}"
)
default
sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"
# force correct number of jobs
# https://bugs.gentoo.org/737660
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
sed -i -e "s:-j0:-j${jobs}:" Makefile.pre.in || die
sed -i -e "/self\.parallel/s:True:${jobs}:" setup.py || die
eautoreconf
}
src_configure() {
local disable
# disable automagic bluetooth headers detection
use bluetooth || export ac_cv_header_bluetooth_bluetooth_h=no
use gdbm || disable+=" gdbm"
use ncurses || disable+=" _curses _curses_panel"
use readline || disable+=" readline"
use sqlite || disable+=" _sqlite3"
use ssl || export PYTHON_DISABLE_SSL="1"
use tk || disable+=" _tkinter"
use xml || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
export PYTHON_DISABLE_MODULES="${disable}"
if ! use xml; then
ewarn "You have configured Python without XML support."
ewarn "This is NOT a recommended configuration as you"
ewarn "may face problems parsing any XML documents."
fi
if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
fi
if [[ "$(gcc-major-version)" -ge 4 ]]; then
append-flags -fwrapv
fi
filter-flags -malign-double
# https://bugs.gentoo.org/show_bug.cgi?id=50309
if is-flagq -O3; then
is-flagq -fstack-protector-all && replace-flags -O3 -O2
use hardened && replace-flags -O3 -O2
fi
# https://bugs.gentoo.org/700012
if is-flagq -flto || is-flagq '-flto=*'; then
append-cflags $(test-flags-CC -ffat-lto-objects)
fi
# Export CXX so it ends up in /usr/lib/python3.X/config/Makefile.
tc-export CXX
# Fix implicit declarations on cross and prefix builds. Bug #674070.
use ncurses && append-cppflags -I"${ESYSROOT}"/usr/include/ncursesw
local dbmliborder
if use gdbm; then
dbmliborder+="${dbmliborder:+:}gdbm"
fi
local myeconfargs=(
# glibc-2.30 removes it; since we can't cleanly force-rebuild
# Python on glibc upgrade, remove it proactively to give
# a chance for users rebuilding python before glibc
ac_cv_header_stropts_h=no
--enable-shared
--without-static-libpython
$(use_enable ipv6)
--infodir='${prefix}/share/info'
--mandir='${prefix}/share/man'
--with-computed-gotos
--with-dbmliborder="${dbmliborder}"
--with-libc=
--enable-loadable-sqlite-extensions
--without-ensurepip
--with-system-expat
--with-system-ffi
)
OPT="" econf "${myeconfargs[@]}"
if grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
eerror "configure has detected that the sem_open function is broken."
eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
die "Broken sem_open function (bug 496328)"
fi
}
src_compile() {
# Ensure sed works as expected
# https://bugs.gentoo.org/594768
local -x LC_ALL=C
emake CPPFLAGS= CFLAGS= LDFLAGS=
# Work around bug 329499. See also bug 413751 and 457194.
if has_version dev-libs/libffi[pax-kernel]; then
pax-mark E python
else
pax-mark m python
fi
}
src_test() {
# Tests will not work when cross compiling.
if tc-is-cross-compiler; then
elog "Disabling tests due to crosscompiling."
return
fi
# Skip failing tests.
local skipped_tests="gdb"
for test in ${skipped_tests}; do
mv "${S}"/Lib/test/test_${test}.py "${T}"
done
# bug 660358
local -x COLUMNS=80
local -x PYTHONDONTWRITEBYTECODE=
# workaround https://bugs.gentoo.org/775416
addwrite /usr/lib/python3.10/site-packages
local jobs=$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")
emake test EXTRATESTOPTS="-u-network -j${jobs}" \
CPPFLAGS= CFLAGS= LDFLAGS= < /dev/tty
local result=$?
for test in ${skipped_tests}; do
mv "${T}/test_${test}.py" "${S}"/Lib/test
done
elog "The following tests have been skipped:"
for test in ${skipped_tests}; do
elog "test_${test}.py"
done
elog "If you would like to run them, you may:"
elog "cd '${EPREFIX}/usr/lib/python${PYVER}/test'"
elog "and run the tests separately."
if [[ ${result} -ne 0 ]]; then
die "emake test failed"
fi
}
src_install() {
local libdir=${ED}/usr/lib/python${PYVER}
emake DESTDIR="${D}" altinstall
sed \
-e "s/\(CONFIGURE_LDFLAGS=\).*/\1/" \
-e "s/\(PY_LDFLAGS=\).*/\1/" \
-i "${libdir}/config-${PYVER}"*/Makefile || die "sed failed"
# Fix collisions between different slots of Python.
rm "${ED}/usr/$(get_libdir)/libpython3.so" || die
# Cheap hack to get version with ABIFLAGS
local abiver=$(cd "${ED}/usr/include"; echo python*)
if [[ ${abiver} != python${PYVER} ]]; then
# Replace python3.X with a symlink to python3.Xm
rm "${ED}/usr/bin/python${PYVER}" || die
dosym "${abiver}" "/usr/bin/python${PYVER}"
# Create python3.X-config symlink
dosym "${abiver}-config" "/usr/bin/python${PYVER}-config"
# Create python-3.5m.pc symlink
dosym "python-${PYVER}.pc" "/usr/$(get_libdir)/pkgconfig/${abiver/${PYVER}/-${PYVER}}.pc"
fi
# python seems to get rebuilt in src_install (bug 569908)
# Work around it for now.
if has_version dev-libs/libffi[pax-kernel]; then
pax-mark E "${ED}/usr/bin/${abiver}"
else
pax-mark m "${ED}/usr/bin/${abiver}"
fi
use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
use tk || rm -r "${ED}/usr/bin/idle${PYVER}" "${libdir}/"{idlelib,tkinter,test/test_tk*} || die
dodoc Misc/{ACKS,HISTORY,NEWS}
if use examples; then
docinto examples
find Tools -name __pycache__ -exec rm -fr {} + || die
dodoc -r Tools
fi
insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
emake --no-print-directory -s -f - 2>/dev/null)
newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py
newconfd "${FILESDIR}/pydoc.conf" pydoc-${PYVER}
newinitd "${FILESDIR}/pydoc.init" pydoc-${PYVER}
sed \
-e "s:@PYDOC_PORT_VARIABLE@:PYDOC${PYVER/./_}_PORT:" \
-e "s:@PYDOC@:pydoc${PYVER}:" \
-i "${ED}/etc/conf.d/pydoc-${PYVER}" \
"${ED}/etc/init.d/pydoc-${PYVER}" || die "sed failed"
local -x EPYTHON=python${PYVER}
# if not using a cross-compiler, use the fresh binary
if ! tc-is-cross-compiler; then
local -x PYTHON=./python
local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${PWD}
else
local -x PYTHON=${EPREFIX}/usr/bin/${EPYTHON}
fi
echo "EPYTHON='${EPYTHON}'" > epython.py || die
python_domodule epython.py
# python-exec wrapping support
local pymajor=${PYVER%.*}
local scriptdir=${D}$(python_get_scriptdir)
mkdir -p "${scriptdir}" || die
# python and pythonX
ln -s "../../../bin/${abiver}" \
"${scriptdir}/python${pymajor}" || die
ln -s "python${pymajor}" "${scriptdir}/python" || die
# python-config and pythonX-config
# note: we need to create a wrapper rather than symlinking it due
# to some random dirname(argv[0]) magic performed by python-config
cat > "${scriptdir}/python${pymajor}-config" <<-EOF || die
#!/bin/sh
exec "${abiver}-config" "\${@}"
EOF
chmod +x "${scriptdir}/python${pymajor}-config" || die
ln -s "python${pymajor}-config" \
"${scriptdir}/python-config" || die
# 2to3, pydoc
ln -s "../../../bin/2to3-${PYVER}" \
"${scriptdir}/2to3" || die
ln -s "../../../bin/pydoc${PYVER}" \
"${scriptdir}/pydoc" || die
# idle
if use tk; then
ln -s "../../../bin/idle${PYVER}" \
"${scriptdir}/idle" || die
fi
}

View File

@ -4,6 +4,7 @@ DIST boto3-1.18.0.tar.gz 392345 BLAKE2B 8d464e038892cd77d7b171c27f41eee31c630ebc
DIST boto3-1.18.1.tar.gz 392759 BLAKE2B bfa0bcfba9a413fbb13b2698f3ef2461cac99a9fddea0fe16d790a0ddab60fcd46b13ac4026536b9f89fb65ff703d61a4f01499423aa54289f17fc0f035ea2d6 SHA512 1aca424ff105fe2049c94aeaff306a683dd4eb9ac9b88303ff4857f53ddb4d3f267ef69119f8cbdb8463ab12331b2d89149fd0b10ccd23c4fde9485e63ba0005
DIST boto3-1.18.10.tar.gz 398199 BLAKE2B 950b40afd867a8df9f8154e35572f3302c03c686d3299aac100ffd18a82c9e9a6657a4910f89f385dfb742c32e315110fc61bf00d2dc14892c4051eef5c642c8 SHA512 0391faf993faf8f4cc28e309f3267acc1beb38229f633f4c409820d45e968b1a93a7c74798ee84aebcd29b4547c9f301decd451e89b65a34297f796e1f839826
DIST boto3-1.18.11.tar.gz 398542 BLAKE2B cecccf462510a6deb55308ea4156ae081d2357480e5d8c160797032c62554ac708f37b38e1cbe26a18e2087a268b392a145d0733400a86e4fca19a5416700ad8 SHA512 63cbea62fcd71fee1c53219f6016fe38bd08afdef0c27d918bd078d04803d14ddd4782c0182e304542314df4bcf081d802d1f581b25ccae3327c4df80e40dabe
DIST boto3-1.18.12.tar.gz 398935 BLAKE2B 87f8627459908e4ff4bfde7ca7d325a355635c8e7c77cee515d30a443bfaba8474e3637e8facd8fd77778c2faab272e6526df92e96c59db4901bd3be44fce24d SHA512 bef678df9f073bb56152e8e56b4341e40aa98120ded26d1794d3e91382a994929150a06eee543d5397f065e66a9dad192b1a30e89f9d430f8a305a6d1e5a99b9
DIST boto3-1.18.2.tar.gz 393528 BLAKE2B 20424f9a8ff013d1d9724f741ad6754747de504fb961688f433eba74ce1d6df7e95d68c45be1e87df1532f99b2fa4d7e8b00671a8ae9a378a4df74764924cdaa SHA512 287a1f24f62fa83fd944632799540257b2f8d6cf3b5d6add57be60e4f49dafd685bb4fcceef37fe907edba00a7f2285d92bd8d381b03e45ac794b22fdcfe8783
DIST boto3-1.18.3.tar.gz 393645 BLAKE2B 4967ac751e9ff5a86f6f571961df31d82f6012ade28aa19a038399077bf5a1b968dfa1172995423890b79a2ede54e2c6f6c1937e8ccf21010f17a4d96928df62 SHA512 f9c42257f0925fffaeb1a36e4731dc54fee1836c249617444292991d043dbb9b58472f73a806981c9763b569cc7402b378f6e1e0102fe0f995a7754807f19b38
DIST boto3-1.18.4.tar.gz 394442 BLAKE2B e82726143b353b843e915ea78ea2e033077ee495b1d416866f5c231f8bd864372496736d266b2b848ed8afd3134bd865c507291fd2fbdd5cae00a92ce3c5e76d SHA512 b3ba1328476a1c642c6b813afc3879e904bc14da69e062156df0405b3da6d2a15a4a40602f24d0a067a83cc441ce5a5e353dacb84869b0fe24e9984c0dec719f

View File

@ -0,0 +1,57 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="The AWS SDK for Python"
HOMEPAGE="https://github.com/boto/boto3"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/boto3"
inherit git-r3
BOTOCORE_PV=${PV}
else
SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
# botocore is x.(y+3).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
fi
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_sphinx docs/source \
'dev-python/guzzle_sphinx_theme'
distutils_enable_tests nose
python_prepare_all() {
# don't lock versions to narrow ranges
sed -e '/botocore/ d' \
-e '/jmespath/ d' \
-e '/s3transfer/ d' \
-i setup.py || die
# prevent an infinite loop
rm tests/functional/docs/test_smoke.py || die
distutils-r1_python_prepare_all
}
python_test() {
nosetests -v tests/unit/ tests/functional/ ||
die "test failed under ${EPYTHON}"
}

View File

@ -4,6 +4,7 @@ DIST botocore-1.21.0.tar.gz 7955550 BLAKE2B 7e68375d07d858dc2071538c2382d8693df2
DIST botocore-1.21.1.tar.gz 7954248 BLAKE2B d6e7a71d6dd90ed0fcf0dbab3182dcdfa4072e65a1f344d44ac30abc829ac6c546a0ebcdee51f61ae65008550acf65052b49530ae3b3a62d81af222e6e8a0929 SHA512 86d4b4159a96426e7ab853b06564604fd9729011199ba691f6204a7e5f52d9927b93511b73cfc03b65bce706563c6d50b577d85d0de0e50fb5d877472d8326dc
DIST botocore-1.21.10.tar.gz 8001298 BLAKE2B bbc762302462d9eb5e223245c8dd2430e6f190b643502d3a124e3831f531f014e49bb54bde768fc2dc7313e5b6ca7c78076a74511d724396370d1f699366ab44 SHA512 8e3c90d24ce5c6ae76376649c1ec191bdca162adfa8ab1b33903cffa9ccf2d7b306efe36b9d81f53f579170516c91c7c3f47a00d3033f5b691f2495b0ac97b88
DIST botocore-1.21.11.tar.gz 8003282 BLAKE2B a7ada604bef2d5130169b0905acfb1ed51fbbafbb9df29d2ed3e3cbf89b44ded59b0de1baffe46b27b10e854b190517d95a26022cc22145fbeb42c46cdb780ae SHA512 45f66cdbbc66dc74c5aac003eb67569533088486fbd3443077be7d6ecb4fe9b8ba9a9de04b94b44fe02167f7261fc9675b7cfb8973de95510d4401a237416713
DIST botocore-1.21.12.tar.gz 8003489 BLAKE2B 39249b2ccbca9cc11b8acaef59064de3f6533a399949eac6c7168feab987f98914e213cfa4e39067c431e65ec04929b68787f971cd3847229668f12c723f8194 SHA512 7332026e1fab6bc36627f5d9de21367d99ec307e8ff4591671713e81ad44b0549ce7d4fc04f992fc120ba55c54ebc8b5095ef5e4888bca19e0d2aeea25dbbc0a
DIST botocore-1.21.2.tar.gz 7960118 BLAKE2B 11d2845e1846c03591625a95b21ff6fe1acb1448414a5f09de1d427614e927d974fafe5dd5d4f195aeb2f3b86d60822a8c73f1bc532bb45c85be8421f92eedc3 SHA512 501f059518026bef10fe933d20a3348b4140cff9ef1af38e17552aea8698179135f5271604e988f53c215e3a13158d7784a49a6b56c0d4db591f99dac9c57ca8
DIST botocore-1.21.3.tar.gz 7959023 BLAKE2B aab15319b9f36c25ee88f2bf0b2efcb6bbffeac1b4e38dcbdfde3a947f702016e77b66c4b125ca2b63614223109fd793da68f9ce1b1d14476cdd6a3fcb10dfce SHA512 5a8ce8f612fd0e1c68a75223dda95673f72159b02a040d1a71920b7e75b3aa9d14589c33a52970182970a353308954e8cd6d5f97d374e0e2ee2cd40e0dce786e
DIST botocore-1.21.4.tar.gz 7964960 BLAKE2B 71d55b47633aa658a9dc921375c77230a6ebb89460d9de5a9982d730e03247972476400dbcf292da0a885789860117c1abc9bf803c79547049b242feb8755d15 SHA512 4a36e5870d9996973e2258f2e6afeb7381ac94d14075eaa9885f6f89afb87fa5b4461b02ab234b4ecc8e24630434dbb839e8ad30f622de6ffa5402f872f84a97

View File

@ -0,0 +1,59 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Low-level, data-driven core of boto 3"
HOMEPAGE="https://github.com/boto/botocore"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/botocore"
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
dev-python/jmespath[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
>=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/jsonschema[${PYTHON_USEDEP}]
)
"
PATCHES=(
"${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
)
distutils_enable_sphinx docs/source \
'dev-python/guzzle_sphinx_theme'
distutils_enable_tests nose
src_prepare() {
# unpin deps
sed -i -e "s:>=.*':':" setup.py || die
# very unstable
sed -i -e 's:test_stress_test_token_bucket:_&:' \
tests/functional/retries/test_bucket.py || die
distutils-r1_src_prepare
}
python_test() {
# note: suites need to be run separately as one of the unit tests
# seems to be leaking mocks and breaking a few functional tests
nosetests -v tests/unit ||
die "unit tests failed under ${EPYTHON}"
nosetests -v tests/functional ||
die "functional tests failed under ${EPYTHON}"
}

View File

@ -1,3 +1,4 @@
DIST cfn-lint-0.50.0.tar.gz 7061105 BLAKE2B bba39823b729b0a53dcc97341b6408654190bceb86acd7de0e2ee1a4ae34234ca6ddc3a4d374c38115632faa0fbbb51fbf07cf717853dd917a262ef5c1116ac9 SHA512 9dc5c00946a9bb142771a4b63571043056b1f522348f11256d7d3181e750c251cfab805a66df884b496fd7639442da0e72f65c0a43cc2ce2ed35f214031c7b1a
DIST cfn-lint-0.51.0.tar.gz 7125333 BLAKE2B 5f18c03cba52e8f38eb4998ce3640564b6346cd788bc7ca4eebbeebf709fddb130de3fd0c99f5e1585aa07fb965f97ec05d48154bb6788f961c31301058d9ac7 SHA512 6b0eada5204da1c4efbf1a548b74065008bf55142b666aefbc5c1e9311eaaef96e83fd427157be4d3dec98d2e5377ed7f21266af0662e565fdf2aeb6883bb1e4
DIST cfn-lint-0.52.0.tar.gz 7221391 BLAKE2B 20422bb191e9537ba6950db8c40894ab07655389a0a81eff3489f5bcd626bd81c6f9749f885b8be4f4939f16abe62fbbde7c741e770e6265c28bd59740144558 SHA512 81274b973ede2e60ef113d5ec4e2052dc11ed0a85b79079dd1b40e8afae3738cbd963b2e703f5016e216b2844df8711a34ff024e5dc4b1b12e774176bbe88489
DIST cfn-lint-0.53.0.tar.gz 7501025 BLAKE2B 0f979ff74e020aa192c040bcc633df8133ed77559afd2fa637af0b02f190f516dc7b3bd2154b9e5ecf3e2edcbf624879727ccbcaab81493f450305e6e1790002 SHA512 58d63e1b9ee7cd64ff30e938d98992dca6214945464c27d61b6d6c7e0daab27daa1feb7f2631de172e9cbf1b22699894b7fb7becd7a292b5efeeedd402db3374

View File

@ -0,0 +1,57 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
# TODO: pkgmove to cfn-lint
MY_P=${P/-python}
DESCRIPTION="CloudFormation Linter"
HOMEPAGE="https://pypi.org/project/cfn-lint/ https://github.com/aws-cloudformation/cfn-lint/"
SRC_URI="
https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
-> ${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
RDEPEND="
>=dev-python/aws-sam-translator-1.38.0[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/importlib_resources[${PYTHON_USEDEP}]
' python3_6)
dev-python/jsonpatch[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
dev-python/junit-xml[${PYTHON_USEDEP}]
dev-python/networkx[${PYTHON_USEDEP}]
>=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
>=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
>=dev-python/six-1.11[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests --install unittest
PATCHES=(
"${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
)
src_prepare() {
# unpin the deps
sed -e 's:~=[0-9.]*::' -i setup.py || die
# requires git checkout
sed -e 's:test_update_docs:_&:' \
-i test/unit/module/maintenance/test_update_documentation.py || die
# requires Internet
sed -e 's:test_update_resource_specs_python:_&:' \
-i test/unit/module/maintenance/test_update_resource_specs.py || die
distutils-r1_src_prepare
}

View File

@ -4,3 +4,5 @@ DIST Django-3.1.13.checksum.txt 2552 BLAKE2B e82052d952f7dfd15e11b413fe2f106af3d
DIST Django-3.1.13.tar.gz 9656683 BLAKE2B bb2dd72ba2dfc13c8f487d6b59cd9302160800dca4f63b92e640eddf4aba2e5b1bd67580e56477bced44a5393b5f65a463a9c0c539ba998a20606bffdfafcf74 SHA512 55b1ceb24b6e0ba542a96319f63b138439532cf4b00971a8432baaab4a8ee219cc9fbb31d457ba7da9e932c919df83da9630866d909df4a5d432866b158098d7
DIST Django-3.2.5.checksum.txt 2543 BLAKE2B 4a07a518bdde4670dc3bf079d8d3cfa32b6580cc06f18306a2127463f3a6a2d8f2a50c4562092439c7c99ccf80dde160b061180826c94d4e1064d5064ff500fe SHA512 b073ff758843f72b6467dae7580941774de9702db02a6fab303cb696cb22c84ca961885792e8ec85545294610f34a4eb52ac3f6521c190d2c339c1957ab4156a
DIST Django-3.2.5.tar.gz 9806547 BLAKE2B d804d758f95f18aac5c44cba9bd9248efa56cba91bea5db2ac89e8c2202ac1fd088b61d6cc98eb7d6d33a95f85983b801c6cc26a3231986a8cf224a0bbeb8a7c SHA512 03d4eee650a857bed298658c68b916beb74690d16b4b28d649c52a7c2d8a61e92f53136d2de3a77fabe1dd01c0e6b3033befc6842f39c222793fb590b1020c13
DIST Django-3.2.6.checksum.txt 2551 BLAKE2B 2fae4e3daca01f285f651b76df7402a0c08cdea9a98bdc3be3f9b337732c26b2a3dcb239fc06274b6a30227394047476d454bf34fd7e8b765df047510b08620c SHA512 66b9dff471928be514198e50e62f46d14fbea9c1cfb55e9d82562271795fc3e719e0bb8c43a1f6ff6c903700b648a6a0e19e335ddc50df2a7fa539911b6d44b6
DIST Django-3.2.6.tar.gz 9821499 BLAKE2B 9f18d308bf15ef16a9fe9d84219bd7ad37833b718ff975344aae5950ef01a7a0e8ef8669936c8908e38e07fb078ce2e2d6392968177400c2357b1d3787e0ce39 SHA512 adf2d2ab3006cc5b389bed8d8e16ee8c98393b20d719c3521068e5cc5d1e679b9f660be90f827ea1cc6a41f975641c32bdb0779ee145e5e31a501ca9e06898a4

View File

@ -0,0 +1,103 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_REQ_USE='sqlite?,threads(+)'
inherit bash-completion-r1 distutils-r1 optfeature verify-sig
MY_P=${P^}
DESCRIPTION="High-level Python web framework"
HOMEPAGE="https://www.djangoproject.com/ https://pypi.org/project/Django/"
SRC_URI="
https://media.djangoproject.com/releases/$(ver_cut 1-2)/${MY_P}.tar.gz
verify-sig? ( https://media.djangoproject.com/pgp/${MY_P}.checksum.txt )"
S="${WORKDIR}/${MY_P}"
LICENSE="BSD"
# admin fonts: Roboto (media-fonts/roboto)
LICENSE+=" Apache-2.0"
# admin icons, jquery, xregexp.js
LICENSE+=" MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
IUSE="doc sqlite test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/asgiref-3.3.4[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
>=dev-python/sqlparse-0.2.2[${PYTHON_USEDEP}]"
BDEPEND="
test? (
$(python_gen_impl_dep sqlite)
${RDEPEND}
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/pillow[webp,${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/selenium[${PYTHON_USEDEP}]
dev-python/tblib[${PYTHON_USEDEP}]
sys-devel/gettext
!!<dev-python/ipython-7.21.0-r1
!!=dev-python/ipython-7.22.0-r0
)
verify-sig? ( >=app-crypt/openpgp-keys-django-20201201 )
"
PATCHES=(
"${FILESDIR}"/${PN}-3.1-bashcomp.patch
# https://github.com/django/django/pull/14732
"${FILESDIR}"/${P}-argparse-py310.patch
)
distutils_enable_sphinx docs --no-autodoc
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/django.asc
src_unpack() {
if use verify-sig; then
cd "${DISTDIR}" || die
verify-sig_verify_signed_checksums \
"${MY_P}.checksum.txt" sha256 "${MY_P}.tar.gz"
cd "${WORKDIR}" || die
fi
default
}
python_prepare_all() {
# Fails because of warnings
sed -i 's/test_dumpdata_proxy_with_concrete/_&/' tests/fixtures/tests.py
distutils-r1_python_prepare_all
}
python_test() {
# Tests have non-standard assumptions about PYTHONPATH,
# and don't work with ${BUILD_DIR}/lib.
PYTHONPATH=. "${EPYTHON}" tests/runtests.py --settings=test_sqlite -v2 ||
die "Tests fail with ${EPYTHON}"
}
python_install_all() {
newbashcomp extras/django_bash_completion ${PN}-admin
bashcomp_alias ${PN}-admin django-admin.py
distutils-r1_python_install_all
}
pkg_postinst() {
optfeature_header "Additional Backend support can be enabled via:"
optfeature "MySQL backend support" dev-python/mysqlclient
optfeature "PostgreSQL backend support" dev-python/psycopg:2
optfeature_header
optfeature "GEO Django" "sci-libs/gdal[geos]"
optfeature "Memcached support" dev-python/pylibmc dev-python/python-memcached
optfeature "ImageField Support" dev-python/pillow
optfeature "Password encryption" dev-python/bcrypt
optfeature "High-level abstractions for Django forms" dev-python/django-formtools
}

View File

@ -0,0 +1,52 @@
From dc7d30c03ff72917584952e70b3b25c9a0c59033 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Tue, 3 Aug 2021 10:04:22 +0200
Subject: [PATCH] Refs #32074 -- Update expected argparse error in invalid
choice test
Python 3.10.0rc1 changed the error messages issued by argparse on
invalid choice to include the argument name. Update the expected test
output to account for that.
---
django/utils/version.py | 1 +
tests/user_commands/tests.py | 5 +++--
2 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/django/utils/version.py b/django/utils/version.py
index 4b26586b36..54b10e89d7 100644
--- a/django/utils/version.py
+++ b/django/utils/version.py
@@ -13,6 +13,7 @@ PY36 = sys.version_info >= (3, 6)
PY37 = sys.version_info >= (3, 7)
PY38 = sys.version_info >= (3, 8)
PY39 = sys.version_info >= (3, 9)
+PY310 = sys.version_info >= (3, 10)
def get_version(version=None):
diff --git a/tests/user_commands/tests.py b/tests/user_commands/tests.py
index 9262e2717a..9da0977c38 100644
--- a/tests/user_commands/tests.py
+++ b/tests/user_commands/tests.py
@@ -17,7 +17,7 @@ from django.test import SimpleTestCase, override_settings
from django.test.utils import captured_stderr, extend_sys_path, ignore_warnings
from django.utils import translation
from django.utils.deprecation import RemovedInDjango41Warning
-from django.utils.version import PY37
+from django.utils.version import PY37, PY310
from .management.commands import dance
@@ -334,7 +334,8 @@ class CommandTests(SimpleTestCase):
self.assertIn('bar', out.getvalue())
def test_subparser_invalid_option(self):
- msg = "Error: invalid choice: 'test' (choose from 'foo')"
+ msg = "Error: %sinvalid choice: 'test' (choose from 'foo')" % (
+ 'argument {foo}: ' if PY310 else '')
with self.assertRaisesMessage(CommandError, msg):
management.call_command('subparser', 'test', 12)
if PY37:
--
2.32.0

View File

@ -1,2 +1,3 @@
DIST gast-0.5.0.tar.gz 14933 BLAKE2B 5d70d832d69185227e574a4bf88752e1dff43ef0e3e78a1de8ac7ab96218530d37a6dd0a3e6e4bf1fe8e11afe98b8d87722bfc2d6c8b68d8ac4905f335c2b85a SHA512 31c204587b3abcde61ce7343bef8439fab7e36c46de17eb2e02138e3d709f8f70e24c2c5d045044ef06e42119a50566c881d293c1c815743655354e72304701d
DIST gast-0.5.1.tar.gz 14094 BLAKE2B e58e989198991fac1036363f7d1f7aa831263f0a9e5e616470fb6b7732b2bd39b9ce71cfd97b990bc29c3b9a978c56b90e375ec3d4a9b3c6692f44fd36d9309b SHA512 955154d273e97bdb80528bf17bc060e6266c524218d81469ed99e09d099cfa320af5c8384f8cc51d22be254578221e068d7a2e2bd3f0279cb65d40a4eead7766
DIST gast-0.5.2.tar.gz 14222 BLAKE2B b251f9aa54d8bdba318f0c8aa7fe97221615a22b7dec8da99b15078ce0f482ac8ec931b9c0acba3a405f2ab3c820a1c578ab93583f9f84740571dd85a3fcb45d SHA512 2a06245ba93f2c0715f662e32e0865732828deb672bc70c3d70a4969c8a2e4c518354a4a63760eddeba53932d4f8bf0ae0ffab64f1a1ad3b20d5b2d18285cd6a

View File

@ -0,0 +1,20 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="A generic AST to represent Python2 and Python3's Abstract Syntax Tree (AST)"
HOMEPAGE="https://pypi.org/project/gast/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
BDEPEND="
test? ( dev-python/astunparse[${PYTHON_USEDEP}] )"
distutils_enable_tests unittest

View File

@ -1 +1,2 @@
DIST jwcrypto-0.9.1.tar.gz 86363 BLAKE2B d5920b9471870855bc131c171dc5515cc23fb9b94c38b33ce4894bcbe6fb5d0fa87e8b88f6470b8d1c1a1bc158d0dd09f51ace50baab03c8a8df59adc6e7e11d SHA512 245221d5e570918c1db9abdad72a0b03fb3fbdbb4db46ece441cbd75d43246b1b35bfd75e20718b8fa125bcaa85088cd776a7c204dd68e51e63818ae438848eb
DIST jwcrypto-1.0.0.tar.gz 87000 BLAKE2B 6e85d52c26447b07c3d06387ac9e3b7adf585d5dc320c633e80ca2bc1e327f01ac95cec9a0fe2b92f7f8ed7f5650d5ad1a95de500d328b33763d604aaba1bd62 SHA512 12d270219d289041098f875f5b2b0773ffbf9044996a6189b827cafbf3e5dccfc103915275b1a11dce2d50e3510510eea476b024d19cf97fd7c66c25de5b3dbf

View File

@ -0,0 +1,31 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Implements JWK,JWS,JWE specifications using python-cryptography"
HOMEPAGE="https://github.com/latchset/jwcrypto"
SRC_URI="
https://github.com/latchset/jwcrypto/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="LGPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
>=dev-python/cryptography-2.3[${PYTHON_USEDEP}]
dev-python/deprecated[${PYTHON_USEDEP}]"
distutils_enable_sphinx docs/source
distutils_enable_tests pytest
python_prepare_all() {
# Do not install doc in non-standard paths
sed -i "\|data_files = \[('share/doc/jwcrypto|d" setup.py || die
distutils-r1_python_prepare_all
}

View File

@ -1 +1,2 @@
DIST reno-3.3.0.tar.gz 81168 BLAKE2B 46afacfa437c9d5fed49d454edaf92b96ffbd677de02d91c7fd431b5ae98764918e099dd486345907446a19b2c94a1c36ac5cff9cf6d911438b48d41d9585ba1 SHA512 0fb6ff09e71b829cabe452693aac0c3a14d44f75f93e8934ebd0b0861e7dcd749a92b7bf19bc4f46202ecb02840edd6d5e5787c8b8a5b64a6b91fb52fe18287d
DIST reno-3.4.0.tar.gz 82815 BLAKE2B aab374c48c1dcf25ba7a78d46069c5d659762bf01d25dc05f597f02098ee10e7b8c518a0afad186ecd93602782a7c50294183b7e33075f8bfe57cc0bc3c1d016 SHA512 cbfd5d9b41beb1599438e249b8082175c8bd2b8dca62d8e6fd1ef742bf889adf6490e1ed0fa78d8aca663a0fb6bbe70742815a6512c6d51fb8073745b6860d65

View File

@ -0,0 +1,39 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
DESCRIPTION="Release notes manager, storing release notes in a git repo and building docs"
HOMEPAGE="https://pypi.org/project/reno/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
RDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
>=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
>=dev-python/dulwich-0.15.0[${PYTHON_USEDEP}]
>=dev-python/packaging-20.4[${PYTHON_USEDEP}]
>=dev-python/docutils-0.11[${PYTHON_USEDEP}]
>=dev-python/sphinx-2.1.1[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
test? (
>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
)
"
# The doc needs to be built from a git repository
distutils_enable_tests unittest
python_prepare_all() {
# Some tests need to be run from a git repository
rm reno/tests/test_{cache,semver}.py || die
distutils-r1_python_prepare_all
}

View File

@ -2,3 +2,4 @@ DIST Sphinx-3.5.4.tar.gz 5911093 BLAKE2B 8740714dfaf3733bf57d0b277315b4e7b5cad86
DIST Sphinx-4.0.3.tar.gz 6164298 BLAKE2B 60726ed4cc4f92910bcfff20dde09beef89e4c171b6f12a327e981df8fa6569a901c0b8e994cd66263b87056548f9f966a2e3049341447ad28797bf120a42a70 SHA512 8dd561b220779efb4cf779f46b342a298f18bfeb7670e0485ba8fcae7a03b2bd30368b441237ed597e1d8f001e35bae13a7d4d44d6921a4fa1b8a7804a5850c7
DIST Sphinx-4.1.0.tar.gz 6302885 BLAKE2B 7e2eafa236173c0fe7d761d1692ff8bb0c12ad8fae2894e2088fff0415d085a3ea652c59d4efc94788829c4261cbee161d85a5c35d6a282fb1a201f658425bb7 SHA512 482378b85b51e74bc2c841bc5ac7b7d5a0034b28e62d36182972439a1e48ce5faaa82e6c3daa35ff6a3f1b1ed1c4187564c77806e6d1804dae0f2c24262adbe6
DIST Sphinx-4.1.1.tar.gz 6373009 BLAKE2B dd19089149d626a0a65af4ff1cd8acf5a5ea8d00b6c940d2d7c5e1c459ae37d993d82652114b9144a80971275a6e346942dce9a6a3798220dc77e0f88d8fc2e1 SHA512 6250fa568f9952471f3cb433a1e7a053c779540c0c049d0e0bad4f2b754935f8c9f351a297349bc15f1dcb4b152a550771f2f381b2eee92a68759e034fce23c4
DIST Sphinx-4.1.2.tar.gz 6373677 BLAKE2B a78df4302520898c8708a75129baf28dd2dcde2dcbb4147d8246a2dd7907ae2af2ed8cf1d259ff1065dbe987fd918a7153831a9f5c16e79834c41f86b6031e41 SHA512 1fe998de7b8fc47989e186835748b7fb5d0b523db95434515b6af29b56d28372f2f92ab917c27cbed51aa0cad13175eda8bf4fc93a8726eb5e93e9bc6995e457

View File

@ -0,0 +1,63 @@
From 1fd5f746539d3e02886032fae8d53af0c2f6ecdd Mon Sep 17 00:00:00 2001
From: Takeshi KOMIYA <i.tkomiya@gmail.com>
Date: Fri, 30 Jul 2021 01:27:38 +0900
Subject: [PATCH] Fix #9512: sphinx-build: crashed with the HEAD of Python 3.10
Recently, `types.Union` was renamed to `types.UnionType` on the HEAD
of 3.10 (refs: python/cpython#27342). After this change, sphinx-build
has been crashed because of ImportError.
---
CHANGES | 2 ++
sphinx/util/typing.py | 12 ++++++------
2 files changed, 8 insertions(+), 6 deletions(-)
diff --git a/CHANGES b/CHANGES
index a643bfe841..70eb8db93a 100644
--- a/CHANGES
+++ b/CHANGES
@@ -16,6 +16,8 @@ Features added
Bugs fixed
----------
+* #9512: sphinx-build: crashed with the HEAD of Python 3.10
+
Testing
--------
diff --git a/sphinx/util/typing.py b/sphinx/util/typing.py
index f1723c035a..012d32e524 100644
--- a/sphinx/util/typing.py
+++ b/sphinx/util/typing.py
@@ -33,10 +33,10 @@ def _evaluate(self, globalns: Dict, localns: Dict) -> Any:
ref = _ForwardRef(self.arg)
return ref._eval_type(globalns, localns)
-if sys.version_info > (3, 10):
- from types import Union as types_Union
-else:
- types_Union = None
+try:
+ from types import UnionType # type: ignore # python 3.10 or above
+except ImportError:
+ UnionType = None
if False:
# For type annotation
@@ -114,7 +114,7 @@ def restify(cls: Optional[Type]) -> str:
return ':class:`%s`' % INVALID_BUILTIN_CLASSES[cls]
elif inspect.isNewType(cls):
return ':class:`%s`' % cls.__name__
- elif types_Union and isinstance(cls, types_Union):
+ elif UnionType and isinstance(cls, UnionType):
if len(cls.__args__) > 1 and None in cls.__args__:
args = ' | '.join(restify(a) for a in cls.__args__ if a)
return 'Optional[%s]' % args
@@ -337,7 +337,7 @@ def _stringify_py37(annotation: Any) -> str:
elif hasattr(annotation, '__origin__'):
# instantiated generic provided by a user
qualname = stringify(annotation.__origin__)
- elif types_Union and isinstance(annotation, types_Union): # types.Union (for py3.10+)
+ elif UnionType and isinstance(annotation, UnionType): # types.Union (for py3.10+)
qualname = 'types.Union'
else:
# we weren't able to extract the base type, appending arguments would

View File

@ -0,0 +1,133 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{8..10} pypy3 )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1
DESCRIPTION="Python documentation generator"
HOMEPAGE="https://www.sphinx-doc.org/
https://github.com/sphinx-doc/sphinx"
SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
S=${WORKDIR}/${P^}
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="doc latex"
RDEPEND="
<dev-python/alabaster-0.8[${PYTHON_USEDEP}]
>=dev-python/Babel-1.3[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/imagesize[${PYTHON_USEDEP}]
>=dev-python/jinja-2.3[${PYTHON_USEDEP}]
>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
>=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
>=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
>=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
>=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
latex? (
dev-texlive/texlive-latexextra
dev-texlive/texlive-luatex
app-text/dvipng
)"
BDEPEND="
doc? (
dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
media-gfx/graphviz
)
test? (
dev-python/html5lib[${PYTHON_USEDEP}]
virtual/imagemagick-tools[jpeg,png,svg]
dev-texlive/texlive-fontsextra
dev-texlive/texlive-latexextra
dev-texlive/texlive-luatex
app-text/dvipng
)"
PATCHES=(
"${FILESDIR}/${PN}-3.2.1-doc-link.patch"
# https://github.com/sphinx-doc/sphinx/commit/1fd5f746539d3e02886032fae8d53af0c2f6ecdd
"${FILESDIR}/${P}-py310.patch"
)
distutils_enable_tests pytest
python_prepare_all() {
# disable internet access
sed -i -e 's:^intersphinx_mapping:disabled_&:' \
doc/conf.py || die
# remove unnecessary upper bounds
sed -e '/Jinja2/s:,<3.0::' \
-e '/MarkupSafe/s:<2.0::' \
-i setup.py || die
distutils-r1_python_prepare_all
}
python_compile() {
distutils-r1_python_compile
# Generate the grammar. It will be caught by install somehow.
# Note that the tests usually do it for us. However, I don't want
# to trust USE=test really running all the tests, especially
# with FEATURES=test-fail-continue.
pushd "${BUILD_DIR}"/lib >/dev/null || die
"${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
popd >/dev/null || die
}
python_compile_all() {
if use doc; then
esetup.py build_sphinx
HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
fi
}
python_test() {
mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
local deselect=(
# these tests require Internet access
tests/test_build_latex.py::test_latex_images
tests/test_build_linkcheck.py::test_defaults
tests/test_build_linkcheck.py::test_defaults_json
tests/test_build_linkcheck.py::test_anchors_ignored
)
[[ ${EPYTHON} == python3.10 ]] && deselect+=(
tests/test_ext_autodoc.py::test_enum_class
)
[[ ${EPYTHON} == pypy3 ]] && deselect+=(
tests/test_build_linkcheck.py::test_connect_to_selfsigned_fails
tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
tests/test_ext_autodoc.py::test_automethod_for_builtin
tests/test_ext_autodoc.py::test_cython
tests/test_ext_autodoc.py::test_partialfunction
tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
tests/test_ext_autodoc_autofunction.py::test_builtin_function
tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
tests/test_pycode_parser.py::test_annotated_assignment
)
epytest ${deselect[@]/#/--deselect }
}

View File

@ -1 +1,2 @@
DIST xmlschema-1.6.4.tar.gz 369270 BLAKE2B f3b98f0b8b4446dfa67da778c6b63585a894f4dcc9fd7ea98637ccd54b26e63aebc7f3fbc00e13ce43730b88da0f773a491917d5eae9301b5d22f6efe620473b SHA512 7e13d20a6add1cc5b6d0f732e672be3eeeb2f107fd2031cd5c22d1059d24b7d818c534817ea115d0c5f011727175bdcae71a0b8d55f1d6bd263a7e38286c26fc
DIST xmlschema-1.7.0.tar.gz 370433 BLAKE2B 0270151705ca65d4b0f587e2ac75f7273a20242a0a315b4b954a6ccad6d46d7d093330a4c40d74a44c0c55af021da1c4ddde85f8431e0779d30e2164a599a335 SHA512 c4620f205cbdccef95a38eab6e6a5d6082681e3ff71708376f0ddeecd75a5c53f686fd740a41e98afd2ec5ec0f14be913b6c65bce80fab0143fa5fe1cc8a2ab6

View File

@ -0,0 +1,31 @@
# Copyright 2019-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="An XML Schema validator and decoder"
HOMEPAGE="https://github.com/sissaschool/xmlschema https://pypi.org/project/xmlschema/"
SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/elementpath-2.2.2[${PYTHON_USEDEP}]"
BDEPEND="
test? (
${RDEPEND}
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
)"
python_test() {
"${EPYTHON}" tests/test_all.py -v ||
die "Tests fail with ${EPYTHON}"
}

View File

@ -8,6 +8,7 @@ ECM_TEST="forceoptional"
PVCUT=$(ver_cut 1-3)
KFMIN=5.80.0
QTMIN=5.15.2
VIRTUALX_REQUIRED="test"
inherit ecm kde.org
DESCRIPTION="Single-player Tetris-like KDE game"

View File

@ -51,6 +51,7 @@ src_prepare() {
src_configure() {
local mycmakeargs=(
$(cmake_use_find_package audit Audit)
$(cmake_use_find_package systemd Journald)
)
ecm_src_configure

View File

@ -19,6 +19,8 @@ SLOT="5"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="php"
RESTRICT+=" test" # no-qtwebkit.patch lacks test fixes
RDEPEND="
dev-libs/libxml2
dev-libs/libxslt